import { IConstruct } from "constructs";
import * as iam from "aws-cdk-lib/aws-iam";
export declare type Permissions = "*" | Permission[];
declare type SupportedPermissions = "execute-api" | "appsync" | "dynamodb" | "sns" | "sqs" | "events" | "kinesis" | "s3" | "rds-data" | "secretsmanager" | "lambda" | "ssm";
declare type Permission = SupportedPermissions | Omit<string, SupportedPermissions> | IConstruct | [IConstruct, string] | iam.PolicyStatement;
export declare function attachPermissionsToRole(role: iam.Role, permissions: Permissions): void;
export {};
